de.caff.generics

## Class Empty

- java.lang.Object
- - de.caff.generics.Empty

-     public final class Empty
      extends java.lang.Object

  This interface just contains various constant empty items (especially arrays): These can be used as defaults in various circumstances.
  Author:
    Rammi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean[]` | `BOOLEAN_ARRAY` Empty `boolean` array.
    `static boolean[][]` | `BOOLEAN_ARRAY_2D` Empty array of `boolean` arrays.
    `static byte[]` | `BYTE_ARRAY` Empty `byte` array.
    `static byte[][]` | `BYTE_ARRAY_2D` Empty array of `byte` arrays.
    `static char[]` | `CHAR_ARRAY` Empty `char` array.
    `static char[][]` | `CHAR_ARRAY_2D` Empty array of `char` arrays.
    `static java.lang.Boolean[]` | `CLASS_BOOLEAN_ARRAY` Emoty `Boolean` array.
    `static java.lang.Byte[]` | `CLASS_BYTE_ARRAY` Empty `Byte` array.
    `static java.lang.Character[]` | `CLASS_CHAR_ARRAY` Empty `Character` array.
    `static java.lang.Double[]` | `CLASS_DOUBLE_ARRAY` Empty `Double` array.
    `static java.lang.Float[]` | `CLASS_FLOAT_ARRAY` Empty `Float` array.
    `static java.lang.Integer[]` | `CLASS_INTEGER_ARRAY` Empty `Integer` array,
    `static java.lang.Long[]` | `CLASS_LONG_ARRAY` Empty `Long` array,
    `static java.lang.Short[]` | `CLASS_SHORT_ARRAY` Empty `Short` array,
    `static double[]` | `DOUBLE_ARRAY` Empty `double` array.
    `static double[][]` | `DOUBLE_ARRAY_2D` Empty array of `double` arrays.
    `static float[]` | `FLOAT_ARRAY` Empty `float` array.
    `static float[][]` | `FLOAT_ARRAY_2D` Empty array of `float` arrays.
    `static int[]` | `INT_ARRAY` Empty `int` array,
    `static int[][]` | `INT_ARRAY_2D` Empty array of `int` arrays,
    `static long[]` | `LONG_ARRAY` Empty `long` array,
    `static long[][]` | `LONG_ARRAY_2D` Empty array of `long` arrays,
    `static java.lang.Number[]` | `NUMBER_ARRAY` Empty `Number` array.
    `static java.lang.Number[][]` | `NUMBER_ARRAY_2D` Empty array of `Number` arrays.
    `static java.lang.Object[]` | `OBJECT_ARRAY` Empty `Object` array.
    `static java.lang.Object[][]` | `OBJECT_ARRAY_2D` Empty array of `Object` arrays.
    `static short[]` | `SHORT_ARRAY` Empty `short` array,
    `static short[][]` | `SHORT_ARRAY_2D` Empty array of `short` arrays,
    `static java.lang.String` | `STRING` Empty `String`.
    `static java.lang.String[]` | `STRING_ARRAY` Empty `String` array.
    `static java.lang.String[][]` | `STRING_ARRAY_2D` Empty array of `String` arrays.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRING

          public static final java.lang.String STRING

      Empty `String`.
      See Also:
        Constant Field Values

    - #### BOOLEAN_ARRAY

          public static final boolean[] BOOLEAN_ARRAY

      Empty `boolean` array.

    - #### BYTE_ARRAY

          public static final byte[] BYTE_ARRAY

      Empty `byte` array.

    - #### CHAR_ARRAY

          public static final char[] CHAR_ARRAY

      Empty `char` array.

    - #### SHORT_ARRAY

          public static final short[] SHORT_ARRAY

      Empty `short` array,

    - #### INT_ARRAY

          public static final int[] INT_ARRAY

      Empty `int` array,

    - #### LONG_ARRAY

          public static final long[] LONG_ARRAY

      Empty `long` array,

    - #### FLOAT_ARRAY

          public static final float[] FLOAT_ARRAY

      Empty `float` array.

    - #### DOUBLE_ARRAY

          public static final double[] DOUBLE_ARRAY

      Empty `double` array.

    - #### BOOLEAN_ARRAY_2D

          public static final boolean[][] BOOLEAN_ARRAY_2D

      Empty array of `boolean` arrays.

    - #### BYTE_ARRAY_2D

          public static final byte[][] BYTE_ARRAY_2D

      Empty array of `byte` arrays.

    - #### CHAR_ARRAY_2D

          public static final char[][] CHAR_ARRAY_2D

      Empty array of `char` arrays.

    - #### SHORT_ARRAY_2D

          public static final short[][] SHORT_ARRAY_2D

      Empty array of `short` arrays,

    - #### INT_ARRAY_2D

          public static final int[][] INT_ARRAY_2D

      Empty array of `int` arrays,

    - #### LONG_ARRAY_2D

          public static final long[][] LONG_ARRAY_2D

      Empty array of `long` arrays,

    - #### FLOAT_ARRAY_2D

          public static final float[][] FLOAT_ARRAY_2D

      Empty array of `float` arrays.

    - #### DOUBLE_ARRAY_2D

          public static final double[][] DOUBLE_ARRAY_2D

      Empty array of `double` arrays.

    - #### CLASS_BOOLEAN_ARRAY

          public static final java.lang.Boolean[] CLASS_BOOLEAN_ARRAY

      Emoty `Boolean` array.

    - #### CLASS_BYTE_ARRAY

          public static final java.lang.Byte[] CLASS_BYTE_ARRAY

      Empty `Byte` array.

    - #### CLASS_CHAR_ARRAY

          public static final java.lang.Character[] CLASS_CHAR_ARRAY

      Empty `Character` array.

    - #### CLASS_SHORT_ARRAY

          public static final java.lang.Short[] CLASS_SHORT_ARRAY

      Empty `Short` array,

    - #### CLASS_INTEGER_ARRAY

          public static final java.lang.Integer[] CLASS_INTEGER_ARRAY

      Empty `Integer` array,

    - #### CLASS_LONG_ARRAY

          public static final java.lang.Long[] CLASS_LONG_ARRAY

      Empty `Long` array,

    - #### CLASS_FLOAT_ARRAY

          public static final java.lang.Float[] CLASS_FLOAT_ARRAY

      Empty `Float` array.

    - #### CLASS_DOUBLE_ARRAY

          public static final java.lang.Double[] CLASS_DOUBLE_ARRAY

      Empty `Double` array.

    - #### OBJECT_ARRAY

          public static final java.lang.Object[] OBJECT_ARRAY

      Empty `Object` array.

    - #### STRING_ARRAY

          public static final java.lang.String[] STRING_ARRAY

      Empty `String` array.

    - #### NUMBER_ARRAY

          public static final java.lang.Number[] NUMBER_ARRAY

      Empty `Number` array.

    - #### OBJECT_ARRAY_2D

          public static final java.lang.Object[][] OBJECT_ARRAY_2D

      Empty array of `Object` arrays.

    - #### STRING_ARRAY_2D

          public static final java.lang.String[][] STRING_ARRAY_2D

      Empty array of `String` arrays.

    - #### NUMBER_ARRAY_2D

          public static final java.lang.Number[][] NUMBER_ARRAY_2D

      Empty array of `Number` arrays.